regina::NTriangleEmbedding Class Reference
Triangulations

Details how a triangle in the skeleton forms part of an individual tetrahedron. More...

`#include <triangulation/ntriangle.h>`

## Public Member Functions

| NTriangleEmbedding (NTetrahedron *tet, int tri)
| Creates an embedding descriptor containing the given data. More...
| NTriangleEmbedding (const NTriangleEmbedding &cloneMe)
| Creates an embedding descriptor containing the same data as the given embedding descriptor. More...
NTetrahedron * | getTetrahedron () const
| Returns the tetrahedron in which this triangle is contained. More...
int | getTriangle () const
| Returns the triangle number within getTetrahedron() that is this triangle. More...
int | getFace () const
| A deprecated alias for getTriangle(). More...
NPerm4 | getVertices () const
| Returns a mapping from vertices (0,1,2) of this triangle to the corresponding vertex numbers in getTetrahedron(), as described in NTetrahedron::getTriangleMapping(). More...
bool | operator== (const NTriangleEmbedding &rhs) const
| Tests whether this and the given embedding are identical. More...
bool | operator!= (const NTriangleEmbedding &rhs) const
| Tests whether this and the given embedding are different. More...

## Detailed Description

Details how a triangle in the skeleton forms part of an individual tetrahedron.

## Constructor & Destructor Documentation

regina::NTriangleEmbedding::NTriangleEmbedding | ( | NTetrahedron * | tet,
|  | int | tri
| ) |  |

inline

Creates an embedding descriptor containing the given data.

Parameters

  tet | the tetrahedron in which this triangle is contained.
  tri | the face number of tet that is this triangle.

regina::NTriangleEmbedding::NTriangleEmbedding | ( | const NTriangleEmbedding & | cloneMe | ) |

inline

Creates an embedding descriptor containing the same data as the given embedding descriptor.

Parameters

  cloneMe | the embedding descriptor to clone.

## Member Function Documentation

int regina::NTriangleEmbedding::getFace | ( |  | ) | const

inline

A deprecated alias for getTriangle().

This routine returns the triangle number within getTetrahedron() that is this triangle. See getTriangle() for further details.

Deprecated:
  This routine will be removed in a future version of Regina. Please use getTriangle() instead.

Returns
  the triangle number that is this triangle.

NTetrahedron * regina::NTriangleEmbedding::getTetrahedron | ( |  | ) | const

inline

Returns the tetrahedron in which this triangle is contained.

Returns
  the tetrahedron.

int regina::NTriangleEmbedding::getTriangle | ( |  | ) | const

inline

Returns the triangle number within getTetrahedron() that is this triangle.

Returns
  the triangle number that is this triangle.

NPerm4 regina::NTriangleEmbedding::getVertices | ( |  | ) | const

inline

Returns a mapping from vertices (0,1,2) of this triangle to the corresponding vertex numbers in getTetrahedron(), as described in NTetrahedron::getTriangleMapping().

Returns
  a mapping from the vertices of this triangle to the vertices of getTetrahedron().

bool regina::NTriangleEmbedding::operator!= | ( | const NTriangleEmbedding & | rhs | ) | const

inline

Tests whether this and the given embedding are different.

Here "different" means that they do not refer to the same face of the same tetrahedron.

Parameters

  rhs | the embedding to compare with this.

Returns
  `true` if and only if both embeddings are identical.

bool regina::NTriangleEmbedding::operator== | ( | const NTriangleEmbedding & | rhs | ) | const

inline

Tests whether this and the given embedding are identical.

Here "identical" means that they refer to the same face of the same tetrahedron.

Parameters

  rhs | the embedding to compare with this.

Returns
  `true` if and only if both embeddings are identical.

The documentation for this class was generated from the following file:

- triangulation/ntriangle.h

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).